summaryrefslogtreecommitdiff
path: root/lxqt-base/lxqt-meta
diff options
context:
space:
mode:
authorV3n3RiX <venerix@rogentos.ro>2016-11-12 15:10:44 +0000
committerV3n3RiX <venerix@rogentos.ro>2016-11-12 15:10:44 +0000
commita30c33334b899ddb74af02c069bcc4dc0fb115ea (patch)
tree3d53fd9e48ca85cb18370ea58c72333159320b85 /lxqt-base/lxqt-meta
parentf6c63ad12e5e078bcb327de4d6675b8a26c05dbf (diff)
lxqt 0.11
Diffstat (limited to 'lxqt-base/lxqt-meta')
-rw-r--r--lxqt-base/lxqt-meta/lxqt-meta-0.11.0.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/lxqt-base/lxqt-meta/lxqt-meta-0.11.0.ebuild b/lxqt-base/lxqt-meta/lxqt-meta-0.11.0.ebuild
new file mode 100644
index 00000000..61e16b9a
--- /dev/null
+++ b/lxqt-base/lxqt-meta/lxqt-meta-0.11.0.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Meta ebuild for LXQt, the Lightweight Desktop Environment"
+HOMEPAGE="http://lxqt.org/"
+
+LICENSE="metapackage"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="+about +admin +branding +filemanager +icons +lightdm +lximage minimal +oxygen +policykit
+ +powermanagement +ssh-askpass sudo"
+REQUIRED_USE="oxygen? ( icons )"
+
+RDEPEND="
+ >=lxde-base/lxmenu-data-0.1.2
+ ~lxqt-base/lxqt-common-${PV}
+ ~lxqt-base/lxqt-config-${PV}
+ ~lxqt-base/lxqt-globalkeys-${PV}
+ ~lxqt-base/lxqt-notificationd-${PV}
+ ~lxqt-base/lxqt-panel-${PV}
+ ~lxqt-base/lxqt-qtplugin-${PV}
+ ~lxqt-base/lxqt-runner-${PV}
+ ~lxqt-base/lxqt-session-${PV}
+ virtual/ttf-fonts
+ about? ( ~lxqt-base/lxqt-about-${PV} )
+ admin? ( ~lxqt-base/lxqt-admin-${PV} )
+ branding? ( x11-themes/redcore-theme-lxqt )
+ filemanager? ( >=x11-misc/pcmanfm-qt-${PV} )
+ icons? ( oxygen? ( kde-frameworks/oxygen-icons )
+ !oxygen? ( virtual/freedesktop-icon-theme ) )
+ lightdm? ( x11-misc/lightdm )
+ lximage? ( media-gfx/lximage-qt )
+ !minimal? ( x11-wm/openbox
+ x11-misc/obconf-qt )
+ policykit? ( ~lxqt-base/lxqt-policykit-${PV}
+ || ( sys-auth/consolekit[policykit(-)]
+ sys-apps/systemd[policykit(-)] ) )
+ powermanagement? ( ~lxqt-base/lxqt-powermanagement-${PV} )
+ ssh-askpass? ( ~lxqt-base/lxqt-openssh-askpass-${PV} )
+ sudo? ( ~lxqt-base/lxqt-sudo-${PV} )"
+
+# Note: we prefer kde-frameworks/oxygen-icons over other icon sets, as the initial
+# install expects oxygen icons, until the user specifies otherwise (bug 543380)
+
+S="${WORKDIR}"